package com.kym.huapiaoer.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum PayType {
    CASH("01", "现金"),
    BANK_TRANSFER("02", "银行转账"),
    BILL("03", "票据"),
    DEBIT_CARD("04", "借记卡"),
    CREDIT_CARD("05", "信用卡"),
    SHOPPING_CARD("06", "购物卡/券"),
    COUPON("07", "优惠券"),
    MALL_POINTS("08", "商场积分"),
    ALIPAY("09", "支付宝"),
    WECHAT_PAY("10", "微信支付"),
    UNIONPAY_QUICK("11", "云闪付"),
    APPLE_PAY("12", "Apple Pay"),
    SAMSUNG_PAY("13", "Samsung Pay"),
    OTHER("99", "其他");

    private final String code;
    private final String desc;
}
